## mx4j.util
Class StandardMBeanProxy.Handler

    java.lang.Object
      mx4j.util.StandardMBeanProxy.Handler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing class:
  StandardMBeanProxy

protected abstract static class StandardMBeanProxy.Handler
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Base class for MBeanServer invocation handlers.
It handles the translation of method invocation from the definition of reflection (java.lang.reflect.Method) to the definition of JMX (method name + signature)

Constructor Summary
`protected` `StandardMBeanProxy.Handler()`

Method Summary
`protected abstract java.lang.Object` `getAttribute(java.lang.String attribute)` Called to invoke getAttribute on a (possibly remote) MBeanServer.
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected abstract java.lang.Object` `invokeOperation(java.lang.String method, java.lang.Object[] args, java.lang.String[] params)` Called to invoke invoke on a (possibly remote) MBeanServer.
`protected abstract void` `setAttribute(javax.management.Attribute attribute)` Called to invoke setAttribute on a (possibly remote) MBeanServer.
`protected void` `unwrapThrowable(java.lang.Throwable x, java.lang.Class[] declared)` Rethrows as is the given throwable, if it is an instance of one of the given `declared` classes, ot tries to (recursively) unwrap it and rethrow it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardMBeanProxy.Handler

    protected StandardMBeanProxy.Handler()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### setAttribute

    protected abstract void setAttribute(javax.management.Attribute attribute)
                                  throws java.lang.Exception

  Called to invoke setAttribute on a (possibly remote) MBeanServer.

  Throws:
    `java.lang.Exception`

### getAttribute

    protected abstract java.lang.Object getAttribute(java.lang.String attribute)
                                              throws java.lang.Exception

  Called to invoke getAttribute on a (possibly remote) MBeanServer.

  Throws:
    `java.lang.Exception`

### invokeOperation

    protected abstract java.lang.Object invokeOperation(java.lang.String method,
                                                        java.lang.Object[] args,
                                                        java.lang.String[] params)
                                                 throws java.lang.Exception

  Called to invoke invoke on a (possibly remote) MBeanServer.

  Throws:
    `java.lang.Exception`

### unwrapThrowable

    protected void unwrapThrowable(java.lang.Throwable x,
                                   java.lang.Class[] declared)
                            throws java.lang.Throwable

  Rethrows as is the given throwable, if it is an instance of one of the given `declared` classes, ot tries to (recursively) unwrap it and rethrow it.

  Throws:
    `java.lang.Throwable`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.